Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
[Java] Class UrlMappingsHolderFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.UrlMappingsHolderFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.FactoryBean, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware, GrailsApplicationAware, PluginManagerAware

    @java.lang.SuppressWarnings({ "unchecked", "rawtypes" })
    public class UrlMappingsHolderFactoryBean
    extends java.lang.Object

Constructs the UrlMappingsHolder from the registered UrlMappings class within a GrailsApplication.

Authors:
  Graeme Rocher

Since:
  0.5

Method Summary
`void` | `afterPropertiesSet()`
`UrlMappings` | `getObject()`
`java.lang.Class` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)` Set the ApplicationContext that this object runs in.
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`
`void` | `setPluginManager(GrailsPluginManager pluginManager)`
`void` | `setServletContext(javax.servlet.ServletContext servletContext)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

### getObject

    public UrlMappings getObject()

### getObjectType

    public java.lang.Class getObjectType()

### isSingleton

    public boolean isSingleton()

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

  Set the ApplicationContext that this object runs in. Normally this call will be used to initialize the object.

  Invoked after population of normal bean properties but before an init callback such as org.springframework.beans.factory.InitializingBean#afterPropertiesSet() or a custom init-method. Invoked after org.springframework.context.ResourceLoaderAware#setResourceLoader, org.springframework.context.ApplicationEventPublisherAware#setApplicationEventPublisher and org.springframework.context.MessageSourceAware, if applicable.

  throws:
    org.springframework.context.ApplicationContextException in case of context initialization errors
  throws:
    org.springframework.beans.BeansException if thrown by application context methods
  Parameters:
    `applicationContext` - the ApplicationContext object to be used by this object
  See Also:
    org.springframework.beans.factory.BeanInitializationException

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

### setPluginManager

    public void setPluginManager(GrailsPluginManager pluginManager)

### setServletContext

    public void setServletContext(javax.servlet.ServletContext servletContext)

Groovy Documentation